export enum MessengerChannel {
  Logout = 'UCAP::messenger::logout',
  ChangeStatus = 'UCAP::messenger::changeStatus',
  ShowSetting = 'UCAP::messenger::showSetting'
}

export enum ChatChannel {
  OpenRoom = 'UCAP::chat::openRoom'
}

export enum NotificationChannel {
  Notify = 'UCAP::notification::notify',
  CloseAllNotify = 'UCAP::notification::closeAllNotify'
}

export enum UpdaterChannel {
  Check = 'UCAP::updater::check'
}

export enum FileChannel {
  OpenFolderItem = 'UCAP::file::openFolderItem',
  ShowImageViewer = 'UCAP::file::showImageViewer',
  SaveFile = 'UCAP::file::saveFile',
  ReadFile = 'UCAP::file::readFile'
}

export enum WindowStateChannel {
  Changed = 'UCAP::windowState::windowStateChanged'
}

export enum IdleStateChannel {
  Changed = 'UCAP::idleState::changed',
  StartCheck = 'UCAP::idleState::startCheck'
}
